All Classes Namespaces Functions Variables Groups Pages
MysqlSqlUtil::MysqlNumericColumn Class Reference

represents a MySQL-specific numeric column More...

Inheritance diagram for MysqlSqlUtil::MysqlNumericColumn:
[legend]

## Public Member Functions

private bool | equalImpl (AbstractColumn c)
| returns True if the argument is equal to the current object, False if not
Public Member Functions inherited from MysqlSqlUtil::MysqlColumn
private bool | equalImpl (AbstractColumn c)
| returns True if the argument is equal to the current object, False if not
softlist | getCreateSql (AbstractTable t)
| returns a list of sql strings that can be used to add the column to an existing table More...
softlist | getModifySqlImpl (AbstractTable t, AbstractColumn col, *hash opt)
| returns a list of sql strings that can be used to modify the column to the new definition; if the column definitions are identical then an empty list is returned More...
string | getRenameSql (AbstractTable t, string new_name)
| returns a string that can be used to rename the column More...

## Additional Inherited Members

Public Attributes inherited from MysqlSqlUtil::MysqlColumn
int | byte_size
| byte size of the column

## Detailed Description

represents a MySQL-specific numeric column